Package owl.automaton

## Class Views

- java.lang.Object
- - owl.automaton.Views

-     public final class Views
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Views.AutomatonView<S,​A extends OmegaAcceptance>` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Transformer` | `COMPLETE` |
    `static OwlModuleParser.TransformerParser` | `COMPLETE_CLI` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <S> Automaton<S,​OmegaAcceptance>` | `complement​(Automaton<S,​?> automaton)` |
    `static <S> Automaton<S,​OmegaAcceptance>` | `complement​(Automaton<S,​?> automaton, S trapState)` |
    `static <S> Automaton<S,​?>` | `complete​(Automaton<S,​?> automaton, S trapState)` |
    `static <S,​A extends OmegaAcceptance> Automaton<Set<S>,​A>` | `createPowerSetAutomaton​(Automaton<S,​?> automaton, A acceptance, boolean dropEmptySet)` |
    `static <S,​A extends OmegaAcceptance> Automaton<S,​A>` | `filter​(Automaton<S,​A> automaton, Set<S> states)` |
    `static <S,​A extends OmegaAcceptance> Automaton<S,​A>` | `filter​(Automaton<S,​A> automaton, Set<S> states, Predicate<Edge<S>> edgeFilter)` |
    `static <S,​A extends OmegaAcceptance> Automaton<S,​A>` | `remap​(Automaton<S,​A> automaton, IntUnaryOperator remappingOperator)` |
    `static <S,​A extends OmegaAcceptance> Automaton<S,​A>` | `replaceInitialState​(Automaton<S,​A> automaton, Set<S> initialStates)` |
    `static <S,​A extends OmegaAcceptance> Automaton<S,​A>` | `viewAs​(Automaton<S,​?> automaton, Class<A> acceptanceClazz)` |
    `static <S> Automaton<S,​NoneAcceptance>` | `viewAsLts​(Automaton<S,​?> automaton)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPLETE

          public static final Transformer COMPLETE

    - #### COMPLETE_CLI

          public static final OwlModuleParser.TransformerParser COMPLETE_CLI

  - ### Method Detail

    - #### complement

          public static <S> Automaton<S,​OmegaAcceptance> complement​(Automaton<S,​?> automaton)

    - #### complement

          public static <S> Automaton<S,​OmegaAcceptance> complement​(Automaton<S,​?> automaton,
                                                                          @Nullable
                                                                          S trapState)

    - #### complete

          public static <S> Automaton<S,​?> complete​(Automaton<S,​?> automaton,
                                                          S trapState)

    - #### createPowerSetAutomaton

          public static <S,​A extends OmegaAcceptance> Automaton<Set<S>,​A> createPowerSetAutomaton​(Automaton<S,​?> automaton,
                                                                                                              A acceptance,
                                                                                                              boolean dropEmptySet)

    - #### filter

          public static <S,​A extends OmegaAcceptance> Automaton<S,​A> filter​(Automaton<S,​A> automaton,
                                                                                        Set<S> states)

    - #### filter

          public static <S,​A extends OmegaAcceptance> Automaton<S,​A> filter​(Automaton<S,​A> automaton,
                                                                                        Set<S> states,
                                                                                        Predicate<Edge<S>> edgeFilter)

    - #### remap

          public static <S,​A extends OmegaAcceptance> Automaton<S,​A> remap​(Automaton<S,​A> automaton,
                                                                                       IntUnaryOperator remappingOperator)

    - #### replaceInitialState

          public static <S,​A extends OmegaAcceptance> Automaton<S,​A> replaceInitialState​(Automaton<S,​A> automaton,
                                                                                                     Set<S> initialStates)

    - #### viewAs

          public static <S,​A extends OmegaAcceptance> Automaton<S,​A> viewAs​(Automaton<S,​?> automaton,
                                                                                        Class<A> acceptanceClazz)

    - #### viewAsLts

          public static <S> Automaton<S,​NoneAcceptance> viewAsLts​(Automaton<S,​?> automaton)